package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bed;
import com.brilliance.isc.vo.lc.BedWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.BrdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.LetselQueryVo;
import com.brilliance.isc.vo.lc.LitselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BedMapper {

    int insert(Bed record);

    int insertSelective(Bed record);

    int updateByPrimaryKeySelective(Bed record);

    int updateByPrimaryKey(Bed record);

    int deleteByPrimaryKey(Bed record);

    int deleteByIds(Collection<Object> collection);

    Bed selectByPrimaryKey(Bed record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bed> dyncRead(Map<String, Object> dyncMap);

    Bed selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Bed selectByWhere(Bed record);

    List<BedWithPtsCbbResponseVo> queryBed(LetselQueryVo letselQueryVo);

    int selectByPntinrInt(@Param("pntInr") String pntInr);

    int getActUtlBeCount(@Param("pntInr") String pntInr);

    int getActAdvisedBeCount(@Param("pntInr") String pntInr);

    List<BedWithPtsCbbResponseVo> queryBedInfo(LetselQueryVo letselQueryVo);

    List<Bed> queryBedsByPntinr(@Param("pntInr") String pntInr);

    Bed selectByOwnref(String ownref);
}